> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relay.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Withdrawal Status

> Poll the status of a user-triggered withdrawal job

[How do programmatic withdrawals work?](/references/protocol/guides/withdrawals)

<Note>
  Pass the `jobId` returned by [Request Withdrawal](/references/api/request-withdrawal) as `id`. On most chains a `ready` status includes a `transaction` the owner wallet must broadcast. Status entries are retained for 24 hours.
</Note>


## OpenAPI

````yaml get /withdrawals/status
openapi: 3.0.3
info:
  title: Cross-chain solver
  version: 1.0.0
servers:
  - url: https://api.relay.link
    description: Mainnet API
  - url: https://api.testnets.relay.link
    description: Testnet API
security: []
paths:
  /withdrawals/status:
    get:
      parameters:
        - schema:
            type: string
          in: query
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  transaction:
                    type: object
                    nullable: true
                    additionalProperties: true
                  withdrawal:
                    type: object
                    nullable: true
                    additionalProperties: true
                  txHash:
                    type: string
                    nullable: true
                  reason:
                    type: string
                    nullable: true

````